首页    新闻    群组    交易    人才    下载    博客    代码贴    在线编程    论坛
流行 Ruby 库曝出恶意后门代码,始作俑者未知
2019-04-06 12:29:03 | 阅读 219 次 | 评论(0)

流行的 Ruby 库 Bootstrap-Sass 曝出后门代码。

Bootstrap-Sass 是一个流行的 Ruby UI 框架,它为开发人员提供了一个 Sass 版本的 Bootstrap。据 ZDNet 的报导,上周三,开发者 Derek Barnes 在该库 3.2.0.3 版本中发现后门代码,这一小段具有恶意性质的代码如上图所示,它嵌入 Ruby 或 Ruby on Rails 之后,会加载一个 cookie 文件并执行其内容。   

据统计,虽然 Bootstrap-Sass 的安装量达到 2800 万,但是此后门版本仅有 1477 次安装,因为该库的最新版本是 3.4.1,而很少有开发者在使用旧版本分支,这一点提供了有效的安全保障。

报告公开的同一天该后门已经从 RubyGems 中删除,Bootstrap-Sass 团队还撤销了对 RubyGems 的访问权限,因为开发人员认为他们的帐户遭到入侵并被用来推送恶意代码

此外,RubyGems 和 GitHub 上也发布了 Bootstrap-Sass v3.2.0.4 版本,完全删除了后门的相关内容。

(文/开源中国)    




评论 (0)

游客请输入验证码
最新评论